
public final class Class103_Sub2 extends Class103 {

   boolean aBool8271;
   Class100_Sub1 aClass100_Sub1_8272;
   Class545_Sub2_Sub1 aClass545_Sub2_Sub1_8273;


   public boolean method2040() {
      return this.aClass545_Sub2_Sub1_8273.aClass100_Sub1_10309 == this.aClass100_Sub1_8272;
   }

   Class100 method2006(Class545_Sub2 var1, Class84 var2) {
      return new Class100_Sub1((Class545_Sub2_Sub1)var1, this, var2);
   }

   public boolean method2007(Class100 var1) {
      if(this.aClass100_Sub1_8272 == var1) {
         return true;
      } else if(!var1.method1921()) {
         return false;
      } else {
         this.aClass100_Sub1_8272 = (Class100_Sub1)var1;
         this.anInt1010 = this.method2051(var1, 1586493204) * 831988383;
         if(this.anInt1010 * 273906015 == -1) {
            throw new IllegalArgumentException();
         } else {
            if(this.aBool8271) {
               this.aClass545_Sub2_Sub1_8273.method15849(this.aClass100_Sub1_8272.aLong8283);
               this.aClass545_Sub2_Sub1_8273.method15850(this.aClass100_Sub1_8272.aLong8287);
               this.aClass545_Sub2_Sub1_8273.aClass100_Sub1_10309 = this.aClass100_Sub1_8272;
            }

            return true;
         }
      }
   }

   Class225_Sub36_Sub1 method2010(Class45 var1) {
      return new Class225_Sub36_Sub1_Sub1(this, var1);
   }

   public boolean method2039() {
      return this.aClass545_Sub2_Sub1_8273.aClass100_Sub1_10309 == this.aClass100_Sub1_8272;
   }

   Class225_Sub36_Sub1 method2088(Class45 var1) {
      return new Class225_Sub36_Sub1_Sub1(this, var1);
   }

   public void method2037() {
      if(this.aClass100_Sub1_8272 == null) {
         throw new RuntimeException_Sub4();
      } else {
         this.aClass545_Sub2_Sub1_8273.method15849(this.aClass100_Sub1_8272.aLong8283);
         this.aClass545_Sub2_Sub1_8273.method15850(this.aClass100_Sub1_8272.aLong8287);
         this.aClass545_Sub2_Sub1_8273.aClass100_Sub1_10309 = this.aClass100_Sub1_8272;
         this.aBool8271 = true;
      }
   }

   Class100 method2043(Class545_Sub2 var1, Class84 var2) {
      return new Class100_Sub1((Class545_Sub2_Sub1)var1, this, var2);
   }

   public void method2038() {
      this.aClass545_Sub2_Sub1_8273.method15849(0L);
      this.aClass545_Sub2_Sub1_8273.method15850(0L);
      this.aBool8271 = false;
      this.aClass545_Sub2_Sub1_8273.aClass100_Sub1_10309 = null;
      this.aClass545_Sub2_Sub1_8273.method15050(1);
      this.aClass545_Sub2_Sub1_8273.method15051((Interface38)null);
      this.aClass545_Sub2_Sub1_8273.method15050(0);
      this.aClass545_Sub2_Sub1_8273.method15051((Interface38)null);
   }

   public boolean method2086() {
      return this.aClass545_Sub2_Sub1_8273.aClass100_Sub1_10309 == this.aClass100_Sub1_8272;
   }

   Class100 method1999(Class545_Sub2 var1, Class84 var2) {
      return new Class100_Sub1((Class545_Sub2_Sub1)var1, this, var2);
   }

   public void method1997() {
      if(this.aClass100_Sub1_8272 == null) {
         throw new RuntimeException_Sub4();
      } else {
         this.aClass545_Sub2_Sub1_8273.method15849(this.aClass100_Sub1_8272.aLong8283);
         this.aClass545_Sub2_Sub1_8273.method15850(this.aClass100_Sub1_8272.aLong8287);
         this.aClass545_Sub2_Sub1_8273.aClass100_Sub1_10309 = this.aClass100_Sub1_8272;
         this.aBool8271 = true;
      }
   }

   public void method1998() {
      this.aClass545_Sub2_Sub1_8273.method15849(0L);
      this.aClass545_Sub2_Sub1_8273.method15850(0L);
      this.aBool8271 = false;
      this.aClass545_Sub2_Sub1_8273.aClass100_Sub1_10309 = null;
      this.aClass545_Sub2_Sub1_8273.method15050(1);
      this.aClass545_Sub2_Sub1_8273.method15051((Interface38)null);
      this.aClass545_Sub2_Sub1_8273.method15050(0);
      this.aClass545_Sub2_Sub1_8273.method15051((Interface38)null);
   }

   public boolean method2053(Class100 var1) {
      if(this.aClass100_Sub1_8272 == var1) {
         return true;
      } else if(!var1.method1921()) {
         return false;
      } else {
         this.aClass100_Sub1_8272 = (Class100_Sub1)var1;
         this.anInt1010 = this.method2051(var1, 393485376) * 831988383;
         if(this.anInt1010 * 273906015 == -1) {
            throw new IllegalArgumentException();
         } else {
            if(this.aBool8271) {
               this.aClass545_Sub2_Sub1_8273.method15849(this.aClass100_Sub1_8272.aLong8283);
               this.aClass545_Sub2_Sub1_8273.method15850(this.aClass100_Sub1_8272.aLong8287);
               this.aClass545_Sub2_Sub1_8273.aClass100_Sub1_10309 = this.aClass100_Sub1_8272;
            }

            return true;
         }
      }
   }

   public boolean method2054(Class100 var1) {
      if(this.aClass100_Sub1_8272 == var1) {
         return true;
      } else if(!var1.method1921()) {
         return false;
      } else {
         this.aClass100_Sub1_8272 = (Class100_Sub1)var1;
         this.anInt1010 = this.method2051(var1, -762412116) * 831988383;
         if(this.anInt1010 * 273906015 == -1) {
            throw new IllegalArgumentException();
         } else {
            if(this.aBool8271) {
               this.aClass545_Sub2_Sub1_8273.method15849(this.aClass100_Sub1_8272.aLong8283);
               this.aClass545_Sub2_Sub1_8273.method15850(this.aClass100_Sub1_8272.aLong8287);
               this.aClass545_Sub2_Sub1_8273.aClass100_Sub1_10309 = this.aClass100_Sub1_8272;
            }

            return true;
         }
      }
   }

   Class103_Sub2(Class545_Sub2_Sub1 var1, Class28 var2) {
      super(var1, var2);
      this.aClass545_Sub2_Sub1_8273 = var1;
      this.aBool8271 = false;
   }
}
